package cn.com.tenlion.materialstore.pojo.dtos.materialphoto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: MaterialPhotoDTO
 * @Description: 图片素材
 * @Author: CodeFactory
 * @Date: 2021-05-28 11:04:34
 * @Version: 3.0
 **/
@ApiModel
public class MaterialPhotoDTO {

    @ApiModelProperty(name = "materialPhotoId", value = "图片素材表")
    private String materialPhotoId;
    @ApiModelProperty(name = "materialPhotoFileId", value = "图片文件ID")
    private String materialPhotoFileId;
    @ApiModelProperty(name = "materialId", value = "素材包ID")
    private String materialId;
    @ApiModelProperty(name = "materialOrder", value = "排序")
    private Integer materialOrder;
    @ApiModelProperty(name = "materialRemark", value = "备注")
    private String materialRemark;
    @ApiModelProperty(name = "creator", value = "")
    private String creator;
    @ApiModelProperty(name = "gmtCreate", value = "")
    private String gmtCreate;
    @ApiModelProperty(name = "modifier", value = "")
    private String modifier;
    @ApiModelProperty(name = "gmtModified", value = "")
    private String gmtModified;
    @ApiModelProperty(name = "isDelete", value = "")
    private Integer isDelete;
    @ApiModelProperty(name = "materialStatus", value = "")
    private Integer materialStatus;
    @ApiModelProperty(name = "creatorName", value = "")
    private String creatorName;
    @ApiModelProperty(name = "materialGroupOrder", value = "图片组排序")
    private Integer materialGroupOrder;
    @ApiModelProperty(name = "materialViewMode", value = "图片展示模式1:纵向,2:九宫格,3:轮播")
    private Integer materialViewMode;

    public Integer getMaterialViewMode() {
        return materialViewMode;
    }

    public void setMaterialViewMode(Integer materialViewMode) {
        this.materialViewMode = materialViewMode;
    }

    public Integer getMaterialGroupOrder() {
        return materialGroupOrder;
    }

    public void setMaterialGroupOrder(Integer materialGroupOrder) {
        this.materialGroupOrder = materialGroupOrder;
    }

    public Integer getMaterialStatus() {
        return materialStatus;
    }

    public void setMaterialStatus(Integer materialStatus) {
        this.materialStatus = materialStatus;
    }

    public String getCreatorName() {
        return creatorName == null ? "" : creatorName;
    }

    public void setCreatorName(String creatorName) {
        this.creatorName = creatorName;
    }

    public String getMaterialPhotoId() {
        return materialPhotoId == null ? "" : materialPhotoId.trim();
    }

    public void setMaterialPhotoId(String materialPhotoId) {
        this.materialPhotoId = materialPhotoId;
    }

    public String getMaterialPhotoFileId() {
        return materialPhotoFileId == null ? "" : materialPhotoFileId.trim();
    }

    public void setMaterialPhotoFileId(String materialPhotoFileId) {
        this.materialPhotoFileId = materialPhotoFileId;
    }

    public String getMaterialId() {
        return materialId == null ? "" : materialId.trim();
    }

    public void setMaterialId(String materialId) {
        this.materialId = materialId;
    }

    public Integer getMaterialOrder() {
        return materialOrder == null ? 0 : materialOrder;
    }

    public void setMaterialOrder(Integer materialOrder) {
        this.materialOrder = materialOrder;
    }

    public String getMaterialRemark() {
        return materialRemark == null ? "" : materialRemark.trim();
    }

    public void setMaterialRemark(String materialRemark) {
        this.materialRemark = materialRemark;
    }

    public String getCreator() {
        return creator == null ? "" : creator.trim();
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    public String getGmtCreate() {
        return gmtCreate == null ? "" : gmtCreate.trim();
    }

    public void setGmtCreate(String gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public String getModifier() {
        return modifier == null ? "" : modifier.trim();
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    public String getGmtModified() {
        return gmtModified == null ? "" : gmtModified.trim();
    }

    public void setGmtModified(String gmtModified) {
        this.gmtModified = gmtModified;
    }

    public Integer getIsDelete() {
        return isDelete == null ? 0 : isDelete;
    }

    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }


}
